Node Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
Servers
- URL:
https://{your-endpoint-url}
Operations
node.rc_stat
- Method:
POST - Path:
node.rc_stat - Tags: webhook
The Recording statistics event is triggered every 1 minute. Recording data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- The Recording statistics subscription must be enabled under the Node event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the recording statistics.object(required)objectrc_stats(required)arrayItems: rc_service_id(required)string— The RC's Zoom Node service ID.rc_service_name(required)string— The RC's Zoom Node service name.recording_zone(required)string— The RC's recording zone.current_recording_countnumber— The number of concurrent recordings on the RC.current_transcoding_countnumber— The number of concurrent transcodings on the RC.timestampstring— The timestamp of the data being collected.transcoding_queue_depthnumber— The number of recordings waiting to be transcoded on the RC.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"rc_stats": [
{
"rc_service_id": "",
"rc_service_name": "",
"recording_zone": "",
"current_recording_count": 1,
"current_transcoding_count": 1,
"transcoding_queue_depth": 1,
"timestamp": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_cpu_alert
- Method:
POST - Path:
node.server_cpu_alert - Tags: webhook
The Server CPU alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server CPU alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used_percent"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"node_cpu"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"metric": "node_cpu",
"field": "used_percent",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_registered
- Method:
POST - Path:
node.server_registered - Tags: webhook
The Server registered event is triggered when the server registers to Zoom. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server registered subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_update_failed
- Method:
POST - Path:
node.server_update_failed - Tags: webhook
The Server update failed event is triggered when the server OS update fails. Node server data and OS update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server update failed subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The group name to which the server belongs.
operatorstring— The email of the user who updated the server.operator_idstring— The user ID of the user who updated the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.zone_added
- Method:
POST - Path:
node.zone_added - Tags: webhook
The Zone added event is triggered when the user adds a meeting zone or recording zone. Zone data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zone added subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who added the zone.object(required)object— Information about the server.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— Zoom Node business module.type(required)string, possible values:"meeting_zone", "recording_zone"— Zone type.zone(required)string— Zone name.
operator(required)string— The email of the user who added the zone.operator_id(required)string— The user ID of the user who added the zone.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"zone": "",
"module": "hybrid",
"type": "meeting_zone"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_started
- Method:
POST - Path:
node.service_started - Tags: webhook
The Service started event is triggered when the service starts. Node service data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service started subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
operatorstring— The email of the user who started the service.operator_idstring— The user ID of the user who started the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.zhm_stat
- Method:
POST - Path:
node.zhm_stat - Tags: webhook
The Hybrid Meeting statistics event is triggered every 1 minute. Meeting data is collected and sent via this event.
Prerequisites
- The account must have a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Hybrid Meeting statistics subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the meeting statistics.object(required)object— Information about the meeting statistics.mmr_stats(required)arrayItems: meeting_zone(required)string— The MMR's meeting zone.mmr_service_id(required)string— The MMR's Zoom Node service ID.mmr_service_name(required)string— The MMR's Zoom Node service name.private_mode_meeting_countinteger— The number of onging private meetings on the MMR.private_mode_participant_countinteger— The number of participants in private meetings on the MMR.sfu_mode_meeting_countinteger— The number of onging SFU meetings on the MMR.sfu_mode_participant_countinteger— The number of participants in SFU meetings on the MMR.timestampstring— The timestamp of the data being collected.total_meeting_countinteger— The total number of onging meetings on the MMR.total_participant_countinteger— The total number of participants in all types of meetings on the MMR.
zc_stats(required)arrayItems: meeting_zone(required)string— The meeting zone's name.zc_service_id(required)string— The zone controller's Zoom Node service ID.zc_service_name(required)string— The zone controller's Zoom Node service name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"mmr_stats": [
{
"mmr_service_id": "",
"mmr_service_name": "",
"meeting_zone": "",
"sfu_mode_participant_count": 1,
"private_mode_participant_count": 1,
"total_participant_count": 1,
"sfu_mode_meeting_count": 1,
"private_mode_meeting_count": 1,
"total_meeting_count": 1,
"timestamp": ""
}
],
"zc_stats": [
{
"zc_service_id": "",
"zc_service_name": "",
"meeting_zone": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_confirmed
- Method:
POST - Path:
node.server_confirmed - Tags: webhook
The Server confirmed event is triggered when the user confirms the server under Node Management -> Modules -> Nodes -> Unconfirmed Nodes. Server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server confirmed subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who confirmed the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"offline"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.
operator(required)string— The email of the user who confirmed the server.operator_id(required)string— The user ID of the user who confirmed the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"os_image": "Ubuntu22-2024042323",
"status": "offline",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_memory_alert
- Method:
POST - Path:
node.service_memory_alert - Tags: webhook
The Service memory alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service memory alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"process", "docker_memory", "podman"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.containerstring— The container that triggered the alert.serviceobject— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"metric": "process",
"field": "used",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn",
"container": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_update_success
- Method:
POST - Path:
node.service_update_success - Tags: webhook
The Service update success event is triggered when the service update succeeds. Node service data and update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server update success subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
target_version(required)string— Target update version
operatorstring— The email of the user who updated the service.operator_idstring— The user ID of the user who updated the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"target_version": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_cpu_alert
- Method:
POST - Path:
node.service_cpu_alert - Tags: webhook
The Service CPU alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service CPU alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used_percent"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"process", "docker_cpu", "podman"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.serviceobject— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"metric": "process",
"field": "used_percent",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_stat
- Method:
POST - Path:
node.server_stat - Tags: webhook
The Server statistics event is triggered every 1 minute. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server statistics subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event's name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the recording statistics.object(required)object— Information about the recording statistics.stats(required)arrayItems: server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.os_imagestring— The server's OS image version.
cpu_used_percentnumber— The server's CPU usage in percent. The figure is accurate to two decimal places.cpu_used_percent_tsstring— The timestamp when the metric was collected.disk_totalnumber— The server's total disk size in KB. The figure is accurate to two decimal places.disk_total_tsstring— The timestamp when the metric was collected.disk_usednumber— The server's disk usage in KB. The figure is accurate to two decimal places.disk_used_tsstring— The timestamp when the metric was collected.memory_usednumber— The server's memory usage in KB.memory_used_tsstring— The timestamp when the metric was collected.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"stats": [
{
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"cpu_used_percent": 1,
"memory_used": 1,
"disk_used": 1,
"disk_total": 1,
"cpu_used_percent_ts": "",
"memory_used_ts": "",
"disk_used_ts": "",
"disk_total_ts": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_deleted
- Method:
POST - Path:
node.server_deleted - Tags: webhook
The Server deleted event is triggered when the user deletes the node. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server deleted subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
operator(required)string— The email of the user who deleted the server.operator_id(required)string— The user ID of the user who deleted the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_update_failed
- Method:
POST - Path:
node.service_update_failed - Tags: webhook
The Service update failed event is triggered when the service fails to update. Node service data and update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service update failed subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.error(required)string— Update error message.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
target_version(required)string— Target update version.
operatorstring— The email of the user who updated the service.operator_idstring— The user ID of the user who updated the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"target_version": "",
"error": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_update_success
- Method:
POST - Path:
node.server_update_success - Tags: webhook
The Server update success event is triggered when the server OS update succeeds. Node server data and OS update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server update success subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The server's account.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
operatorstring— The email of the user who updated the server.operator_idstring— The user ID of the user who updated the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_update_available
- Method:
POST - Path:
node.server_update_available - Tags: webhook
The Server update available event is triggered when the server OS update becomes available. Node server data and OS update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server update available subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
severity(required)string, possible values:"Low", "Medium", "High", "Mandatory"— Severity of the os update
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"severity": "Low"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.mc_stat
- Method:
POST - Path:
node.mc_stat - Tags: webhook
The Meeting connector statistics event is triggered every 1 minute. Meeting connector data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Meeting connector statistics subscription must be enabled under the Node event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID associated to the meeting statistics.object(required)object— Information about the meeting statistics.mmr_stats(required)arrayItems: meeting_zone(required)string— The MMR's meeting zone.mmr_service_id(required)string— The MMR's Zoom Node service ID.mmr_service_name(required)string— The MMR's Zoom Node service name.timestampstring— The timestamp of the data being collected.total_meeting_countinteger— The total number of onging meetings on the MMR.total_participant_countinteger— The total number of meeting participants on the MMR.
zc_stats(required)arrayItems: meeting_zone(required)string— The meeting zone's name.zc_service_id(required)string— The zone controller's Zoom Node service ID.zc_service_name(required)string— The zone controller's Zoom Node service name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"mmr_stats": [
{
"mmr_service_id": "",
"mmr_service_name": "",
"meeting_zone": "",
"total_participant_count": 1,
"total_meeting_count": 1,
"timestamp": ""
}
],
"zc_stats": [
{
"zc_service_id": "",
"zc_service_name": "",
"meeting_zone": ""
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_online
- Method:
POST - Path:
node.server_online - Tags: webhook
The Server online event is triggered when the server goes online. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server online subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"online"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "online",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_memory_alert
- Method:
POST - Path:
node.server_memory_alert - Tags: webhook
The Server memory alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server memory alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"node_memory"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"metric": "node_memory",
"field": "used",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_stopped
- Method:
POST - Path:
node.service_stopped - Tags: webhook
The Service stopped event is triggered when the service stops. Node service data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service stopped subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
operatorstring— The email of the user who stopped the service.operator_idstring— The user ID of the user who stopped the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.mc_stat_alert
- Method:
POST - Path:
node.mc_stat_alert - Tags: webhook
The Meeting connector statistics alert event is triggered when corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Meeting connector statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"meeting_count", "p2p_meeting_count", "client_count", "p2p_client_count"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"meeting_stat_per_mmr"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"metric": "meeting_stat_per_mmr",
"field": "meeting_count",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_update_available
- Method:
POST - Path:
node.service_update_available - Tags: webhook
The Service update available event is triggered when the service update becomes available. Node service data and update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service update available subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.available_version(required)string— Available update versiondeadline(required)string— Deadline of the service update. The service will be disabled if it fails to be updated before this time.publish_time(required)string— The date and time when the update became available.release_note(required)string— Release note of the update.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
severity(required)string, possible values:"Low", "Medium", "High", "Mandatory"— Severity of the service update
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"available_version": "",
"severity": "Low",
"deadline": "",
"publish_time": "",
"release_note": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_rebooted
- Method:
POST - Path:
node.server_rebooted - Tags: webhook
The Server rebooted event is triggered when the user reboots the server. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server rebooted subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who rebooted the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
operator(required)string— The email of the user who rebooted the server.operator_id(required)string— The user ID of the user who rebooted the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_offline
- Method:
POST - Path:
node.server_offline - Tags: webhook
The Server offline event is triggered when the server goes offline. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server offline subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"offline"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "offline",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.zhm_stat_alert
- Method:
POST - Path:
node.zhm_stat_alert - Tags: webhook
The Hybrid meeting statistics alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Hybrid meeting statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"meeting_count", "p2p_meeting_count", "client_count", "p2p_client_count", "sfu_meeting_count", "private_meeting_count", "sfu_client_count", "private_client_count", "meeting_utilization"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"meeting_stat_per_mmr"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"metric": "meeting_stat_per_mmr",
"field": "meeting_count",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.nfs_alert
- Method:
POST - Path:
node.nfs_alert - Tags: webhook
The NFS alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The NFS statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used_percent", "status"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"nfs"— The alert metric name.nfs(required)object— Information about the NFS.host(required)string— The NFS host address.path(required)string— The NFS path.status(required)string, possible values:"online", "unknown"— The NFS status.
operator(required)string, possible values:"<", ">", "<=", ">=", "!="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"nfs": {
"host": "",
"path": "",
"status": "online"
},
"metric": "nfs",
"field": "used_percent",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.zhm_zone_stat_alert
- Method:
POST - Path:
node.zhm_zone_stat_alert - Tags: webhook
The Hybrid meeting zone statistics alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Hybrid meeting zone statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"meeting_count", "p2p_meeting_count", "client_count", "p2p_client_count", "sfu_meeting_count", "private_meeting_count", "sfu_client_count", "private_client_count", "meeting_utilization"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"meeting_stat_per_zone"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.zone(required)string— Meeting zone name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"metric": "meeting_stat_per_zone",
"field": "meeting_count",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn",
"zone": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.mc_zone_stat_alert
- Method:
POST - Path:
node.mc_zone_stat_alert - Tags: webhook
The Meeting connector zone statistics alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Meeting connector zone statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"meeting_count", "attendees_count", "mmr_count"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"meeting_stat_per_zone"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.zone(required)string— Meeting zone name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"metric": "meeting_stat_per_zone",
"field": "meeting_count",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn",
"zone": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_stat
- Method:
POST - Path:
node.service_stat - Tags: webhook
The Service statistics event is triggered every 1 minute. Node service data is collected and sent via this event.
Prerequisites
- The account must have a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service statistics subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event's name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the Zoom Node service statistics.object(required)object— Information about the Zoom Node service statistics.stats(required)arrayItems: server(required)objectid(required)string— The server ID.location(required)string— The server's geo location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's VM image version.status(required)string, possible values:"online", "offline", "unconfirmed", "disabled"— The server's status.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
cpu_used_percentnumber— The service's CPU usage in percent. The figure is accurate to two decimal places. This field is valid if and only if the service doesn't run on top of Docker.memory_usednumber— The service's memory usage in percent. The figure is accurate to two decimal places. This field is valid if and only if the service doesn't run on top of Docker.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"stats": [
{
"server": {
"id": "",
"udid": "",
"name": "",
"location": "",
"os_image": "",
"module": "hybrid",
"status": "online",
"group": "test-group1"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"cpu_used_percent": 1,
"memory_used": 1
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.rc_stat_alert
- Method:
POST - Path:
node.rc_stat_alert - Tags: webhook
The Recording connector statistics alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Recording connector statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"current_recording_count", "current_transcoding_count", "transcoding_queue_depth"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"rc_recording_stat", "rc_transcoding_stat"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"metric": "rc_recording_stat",
"field": "current_recording_count",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.zone_deleted
- Method:
POST - Path:
node.zone_deleted - Tags: webhook
The Zone added event is triggered when the user deletes a meeting zone or recording zone. Zone data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Zone deleted subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who deleted the zone.object(required)object— Information about the server.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— Zoom Node business module.type(required)string, possible values:"meeting_zone", "recording_zone"— Zone type.zone(required)string— Zone name.
operator(required)string— The email of the user who deleted the zone.operator_id(required)string— The user ID of the user who deleted the zone.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"zone": "",
"module": "hybrid",
"type": "meeting_zone"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_shutdown
- Method:
POST - Path:
node.server_shutdown - Tags: webhook
The Server shutdown event is triggered when the user shuts down the server. Node server data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server shutdown subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who shutdown the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
operator(required)string— The email of the user who shutdown the server.operator_id(required)string— The user ID of the user who shutdown the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_deleted
- Method:
POST - Path:
node.service_deleted - Tags: webhook
The Service deleted event is triggered when the user deletes the service. Node service data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service deleted subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The server's account ID.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
operator(required)string— The email of the user who deleted the service.operator_id(required)string— The user ID of the user who deleted the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_update_started
- Method:
POST - Path:
node.service_update_started - Tags: webhook
The Service update started event is triggered when the service update starts. Node service data and update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Service update started subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
target_version(required)string— Target update version
operatorstring— The email of the user who updated the service.operator_idstring— The user ID of the user who updated the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"target_version": ""
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_update_started
- Method:
POST - Path:
node.server_update_started - Tags: webhook
The Server update started event is triggered when the server OS update starts. Node server data and OS update data are collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server update started subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
operatorstring— The email of the user who updated the server.operator_idstring— The user ID of the user who updated the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.service_abnormal_status
- Method:
POST - Path:
node.service_abnormal_status - Tags: webhook
The Service abnormal status event is triggered every few minutes. Node service abnormal status is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server abnormal status subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.abnormal_statuses(required)array— Information about the service abnormal statuses. Empty array means all abnormal statuses are cleared.Items: code(required)string— Status codelevel(required)string, possible values:"error", "warn", "info"— Status levelmessage(required)string— Status message
server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
},
"abnormal_statuses": [
{
"code": "",
"message": "",
"level": "error"
}
]
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_disk_alert
- Method:
POST - Path:
node.server_disk_alert - Tags: webhook
The Server disk alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server disk alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used_percent"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"node_disk"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"metric": "node_disk",
"field": "used_percent",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
node.server_bandwidth_alert
- Method:
POST - Path:
node.server_bandwidth_alert - Tags: webhook
The Server bandwidth statistics alert event is triggered when the corresponding alert fires. Alert data is collected and sent via this event.
Prerequisites
- A Pro or higher plan with a Zoom Node license.
- Event Subscriptions must be enabled for your Marketplace app with the following configurations:
- A valid Event Notification Endpoint URL.
- The Server bandwidth statistics alert subscription enabled under the Zoom Node event type.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"in_bandwidth", "out_bandwidth"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"node_bandwidth"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold in KB/s.value(required)number— The alert field's value in KB/s.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"metric": "node_bandwidth",
"field": "in_bandwidth",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Recording statistics
- Type:
object
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the recording statistics.object(required)objectrc_stats(required)arrayItems: rc_service_id(required)string— The RC's Zoom Node service ID.rc_service_name(required)string— The RC's Zoom Node service name.recording_zone(required)string— The RC's recording zone.current_recording_countnumber— The number of concurrent recordings on the RC.current_transcoding_countnumber— The number of concurrent transcodings on the RC.timestampstring— The timestamp of the data being collected.transcoding_queue_depthnumber— The number of recordings waiting to be transcoded on the RC.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"rc_stats": [
{
"rc_service_id": "",
"rc_service_name": "",
"recording_zone": "",
"current_recording_count": 1,
"current_transcoding_count": 1,
"transcoding_queue_depth": 1,
"timestamp": ""
}
]
}
}
}Schema for node CPU alert
- Type:
object
event(required)string— The name of the event.event_ts(required)integer— A timestamp when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the alert.object(required)object— Information about the alert.field(required)string, possible values:"used_percent"— The alert field name.level(required)string, possible values:"warn", "error", "fatal"— The alert level.metric(required)string, possible values:"node_cpu"— The alert metric name.operator(required)string, possible values:"<", ">", "<=", ">="— The operator between the alert field's value and its threshold.server(required)object— Information about the server.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
threshold(required)number— The alert field's threshold.value(required)number— The alert field's value.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"metric": "node_cpu",
"field": "used_percent",
"value": 1,
"threshold": 1,
"operator": "<",
"level": "warn"
}
}
}Schema for the server registered event
- Type:
object
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Schema for the server OS update failed event
- Type:
object
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The group name to which the server belongs.
operatorstring— The email of the user who updated the server.operator_idstring— The user ID of the user who updated the server.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
}
}
}
}Schema for the zone added event
- Type:
object
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who added the zone.object(required)object— Information about the server.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— Zoom Node business module.type(required)string, possible values:"meeting_zone", "recording_zone"— Zone type.zone(required)string— Zone name.
operator(required)string— The email of the user who added the zone.operator_id(required)string— The user ID of the user who added the zone.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"zone": "",
"module": "hybrid",
"type": "meeting_zone"
}
}
}Schema for the service started event
- Type:
object
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID of server.object(required)object— Information about the server.server(required)object— The server object.id(required)string— The server ID.location(required)string— The server's geo-location.module(required)string, possible values:"hybrid", "phone", "chat", "mc", "zurm", "lss"— The server's module.name(required)string— The server name.os_image(required)string— The server's OS image version.status(required)string, possible values:"unconfirmed", "online", "offline", "disabled"— The server's status message.udid(required)string— The server's universally unique identifier (UUID). Each server generates a UUID.groupstring— The server's group.
service(required)object— Information about the service.id(required)string— The service's ID.name(required)string— The service name.status(required)string, possible values:"downloading", "installed", "install_failed", "pending", "stopped", "running", "suspend"— The service status.type(required)string, possible values:"NODE_AGENT", "HYBRID_MMR", "ZPROXY", "HYBRID_FS", "MONGO_PROXY", "ES_PROXY", "LOAD_BALANCER", "ZONE_CONTROLLER", "MC_MMR", "RCONNECTOR", "MONITOR_AGENT", "SNMP_AGENT", "API_CONNECTOR", "HYBRID_LSS", "BDM", "HYBRID_RECORDING", "VRC_LB", "VRC", "HYBRID_TRANSFER"— The service type.version(required)string— The service's version.zonestring— The service's meeting zone or recording zone.
operatorstring— The email of the user who started the service.operator_idstring— The user ID of the user who started the service.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"operator": "",
"operator_id": "",
"object": {
"server": {
"id": "444AAAiAAAAAiAiAiiAii==",
"udid": "AAAiAiAixdflsdfdfhk",
"name": "hybrid-meeting-server1",
"location": "san jose",
"group": "test-group1",
"os_image": "Ubuntu22-2024042323",
"status": "unconfirmed",
"module": "hybrid"
},
"service": {
"id": "",
"name": "",
"version": "",
"type": "NODE_AGENT",
"zone": "",
"status": "downloading"
}
}
}
}Hybrid meeting statistics
- Type:
object
event(required)string— The event name.event_ts(required)integer— A timestamp for when the event occurred.payload(required)objectaccount_id(required)string— The account ID for the meeting statistics.object(required)object— Information about the meeting statistics.mmr_stats(required)arrayItems: meeting_zone(required)string— The MMR's meeting zone.mmr_service_id(required)string— The MMR's Zoom Node service ID.mmr_service_name(required)string— The MMR's Zoom Node service name.private_mode_meeting_countinteger— The number of onging private meetings on the MMR.private_mode_participant_countinteger— The number of participants in private meetings on the MMR.sfu_mode_meeting_countinteger— The number of onging SFU meetings on the MMR.sfu_mode_participant_countinteger— The number of participants in SFU meetings on the MMR.timestampstring— The timestamp of the data being collected.total_meeting_countinteger— The total number of onging meetings on the MMR.total_participant_countinteger— The total number of participants in all types of meetings on the MMR.
zc_stats(required)arrayItems: meeting_zone(required)string— The meeting zone's name.zc_service_id(required)string— The zone controller's Zoom Node service ID.zc_service_name(required)string— The zone controller's Zoom Node service name.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"mmr_stats": [
{
"mmr_service_id": "",
"mmr_service_name": "",
"meeting_zone": "",
"sfu_mode_participant_count": 1,
"private_mode_participant_count": 1,
"total_participant_count": 1,
"sfu_mode_meeting_count": 1,
"private_mode_meeting_count": 1,
"total_meeting_count": 1,
"timestamp": ""
}
],
"zc_stats": [
{
"zc_service_id": "",
"zc_service_name": "",
"meeting_zone": ""
}
]
}
}
}Schema for the server confirmed event
- Type:
object
[...]
